Bug 1004640 - [RFE] zanata client should track the group (for tracked projects) without individually tracking each project
[RFE] zanata client should track the group (for tracked projects) without ind...
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Component-zanata-client (Show other bugs)
development
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Michelle Kim
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 02:33 EDT by sandeep shedmake
Modified: 2015-07-28 23:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-28 23:29:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sandeep shedmake 2013-09-05 02:33:38 EDT
Currently zanata client fetch documents/PO_files for individual projects only.
It would be really helpful if zanata client fetch documents for all the tracked projects (created under a specific GROUP), then upload modified documents back to the Zanata server. This would facilitate 'Translator' and/or language 'Co-ordinator' with slow or unreliable connection (and thereby prefer not using Zanata Web-UI editor for localization).


Steps to Reproduce:
1. fetch/download ~/GROUP/projectA-Z/LANG.po at one go using zanata client
2. localize ~/GROUP/projectA-Z/LANG.po
3. push/upload ~/GROUP/projectA-Z/LANG.po at one go using zanata client


Actual results:
Currently functionality of 'tracking the group without individually tracking each project' is not available by the zanata client


Expected results:
zanata client should 'track the group without individually tracking each project'
Comment 1 David Mason 2013-09-05 19:37:14 EDT
The zanata client does not have a concept of 'tracking' projects - rather there is just a config file that describes a project against which push and pull operations are run manually. Adding a feature like this would require a config file that describes a group, and an update to the client to be able to iterate pull and push for all projects in a group. Note that this may be a very expensive operation, so running it in a synchronously command is not ideal.

Zayf is a different client to Zanata that is under development and is specifically designed to address the issue of translating with a slow or unreliable connection. For this use case I think development time would be better spent making Zayf able to track a project group.

See: https://github.com/davidmason/zayf/issues/7
Comment 2 Ding-Yi Chen 2014-03-18 19:47:19 EDT
Hi sandeep,

Do you want to track all projects in a group, or a subset of the projects in the group as well?

If you want both, I would suggest that we split this bug, one for tracking all projects in a group, another is for adding or removing projects, pretty much like what we do for kickstart files (i.e. -<projectX> for exclude projectX.

What would you say?
Comment 3 sandeep shedmake 2014-03-19 03:28:34 EDT
(In reply to Ding-Yi Chen from comment #2)
> Hi sandeep,
> 
> Do you want to track all projects in a group, or a subset of the projects in
> the group as well?
> 
> If you want both, I would suggest that we split this bug, one for tracking
> all projects in a group, another is for adding or removing projects, pretty
> much like what we do for kickstart files (i.e. -<projectX> for exclude
> projectX.
> 
> What would you say?

'Both' would be good too.
Comment 5 Damian Jansen 2015-07-13 20:20:25 EDT
Reassigned to PM
Comment 6 Zanata Migrator 2015-07-28 23:29:07 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-288

Note You need to log in before you can comment on or make changes to this bug.